# $Revision: 1.49 $, $Date: 2006/10/06 21:59:36 $
Summary:	Z39.50 protocol support library
Summary(pl):	Biblioteka obsugujca protok Z39.50
Name:		yaz
Version:	2.1.34
Release:	1
License:	BSD-like
Group:		Libraries
Source0:	http://ftp.indexdata.dk/pub/yaz/%{name}-%{version}.tar.gz
# Source0-md5:	521a3ce7a8dc9191a391180ec53a4c53
Patch0:		%{name}-libwrap-fix.patch
URL:		http://www.indexdata.dk/yaz/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.8
BuildRequires:	libtool >= 1:1.4.2-9
BuildRequires:	libwrap-devel
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	readline-devel >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
YAZ is a C library for developing client - and server applications
using the ANSI/NISO Z39.50 protocol for Information Retrieval.

%description -l pl
YAZ to biblioteka w C do tworzenia aplikacji klienckich i serwerw
korzystajcych z protokou ANSI/NISO Z39.50 do uzyskiwania informacji.

%package devel
Summary:	Header files for YAZ library
Summary(pl):	Pliki nagwkowe biblioteki YAZ
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libwrap-devel
Requires:	libxml2-devel
Requires:	openssl-devel >= 0.9.7d

%description devel
Header files for YAZ library.

%description devel -l pl
Pliki nagwkowe biblioteki YAZ.

%package static
Summary:	YAZ static libraries
Summary(pl):	Statyczne biblioteki YAZ
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
YAZ static libraries.

%description static -l pl
Statyczne biblioteki YAZ.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--enable-shared \
	--enable-tcpd \
	--with-openssl

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} install -C doc \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_docdir}/yaz ./doc-dist

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE NEWS README TODO
%attr(755,root,root) %{_bindir}/yaz-asncomp
%attr(755,root,root) %{_bindir}/yaz-client*
%attr(755,root,root) %{_bindir}/yaz-iconv
%attr(755,root,root) %{_bindir}/yaz-marcdump
%attr(755,root,root) %{_bindir}/yaz-ztest*
%attr(755,root,root) %{_bindir}/zoomsh
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%dir %{_datadir}/yaz
%{_datadir}/yaz/etc
%{_datadir}/yaz/ill
%{_datadir}/yaz/z39.50
%{_mandir}/man1/yaz-asncomp.1*
%{_mandir}/man1/yaz-client*.1*
%{_mandir}/man1/yaz-iconv.1*
%{_mandir}/man1/yaz-marcdump.1*
%{_mandir}/man1/zoomsh.1*
%{_mandir}/man7/yaz.7*
%{_mandir}/man7/yaz-log.7*
%{_mandir}/man8/yaz-ztest*.8*

%files devel
%defattr(644,root,root,755)
%doc doc-dist/*
%attr(755,root,root) %{_bindir}/yaz-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/yaz
%{_aclocaldir}/yaz.m4
%{_mandir}/man8/yaz-config.8*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: yaz.spec,v $
Revision 1.49  2006/10/06 21:59:36  qboosh
- updated to 2.1.34

Revision 1.48  2006/10/01 11:29:28  arekm
- rebuild

Revision 1.47  2006/09/11 20:01:07  qboosh
- updated to 2.1.28

Revision 1.46  2006/08/23 09:34:44  qboosh
- updated to 2.1.26

Revision 1.45  2006/08/09 20:15:30  arekm
- rel 2

Revision 1.44  2006/07/22 14:12:13  qboosh
- updated to 2.1.22, updated libwrap-fix patch

Revision 1.43  2006/05/21 22:52:42  qboosh
- updated to 2.1.18

Revision 1.42  2006/04/05 05:24:25  qboosh
- updated to 2.1.16, updated libwrap-fix patch

Revision 1.41  2006/03/19 11:17:59  qboosh
- updated to 2.1.14

Revision 1.40  2006/02/03 18:40:08  qboosh
- updated to 2.1.12

Revision 1.39  2005/12/03 20:24:57  qboosh
- updated to 2.1.10, removed obsolete link patch

Revision 1.38  2005/09/17 10:22:58  arekm
- rebuild with readline 5.0

Revision 1.37  2005/06/12 20:52:14  qboosh
- updated to 2.1.8

Revision 1.36  2005/04/30 00:04:31  qboosh
- updated to 2.1.4

Revision 1.35  2005/02/14 14:59:39  czucz
- updated to 2.0.34

Revision 1.34  2005/01/16 18:14:12  czucz
- updated to 2.0.32

Revision 1.33  2005/01/07 18:53:19  qboosh
- updated to 2.0.30

Revision 1.32  2004/11/22 22:58:40  qboosh
- updated to 2.0.28, updated libwrap-fix patch

Revision 1.31  2004/10/15 18:37:03  darekr
- updated to 2.0.26

Revision 1.30  2004/08/14 16:25:49  misi3k
- updated to 2.0.23

Revision 1.29  2004/08/07 13:20:24  qboosh
- updated to 2.0.22

Revision 1.28  2004/05/16 07:29:03  qboosh
- updated to 2.0.21, updated patches

Revision 1.27  2004/04/20 05:59:22  qboosh
- updated to 2.0.19

Revision 1.26  2004/03/19 23:46:39  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.25  2004/03/01 21:36:02  qboosh
- updated to 2.0.15, strict internal deps

Revision 1.24  2004/02/08 23:43:59  qboosh
- updated to 2.0.10

Revision 1.23  2004/01/07 20:56:59  qboosh
- updated to 2.0.9

Revision 1.22  2003/12/23 14:28:20  eothane
- updated to 2.0.8

Revision 1.21  2003/12/17 23:23:39  qboosh
- updated to 2.0.7

Revision 1.20  2003/12/07 10:37:43  qboosh
- updated to 2.0.6, updated patches

Revision 1.19  2003/09/30 20:18:37  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.18  2003/09/07 00:57:38  qboosh
- updated to 2.0.4

Revision 1.17  2003/07/19 23:57:25  qboosh
- 2.0.3

Revision 1.16  2003/05/26 16:25:53  malekith
- massive attack: adding Source-md5

Revision 1.15  2003/05/25 06:28:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/05/12 22:20:14  qboosh
- up to 2.0.2, updated link patch

Revision 1.13  2003/03/11 11:59:51  qboosh
- updated to 2.0, added libtoolize

Revision 1.12  2003/02/13 14:06:58  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.11  2003/01/02 20:54:36  qboosh
- added link patch

Revision 1.10  2003/01/02 14:32:54  qboosh
- updated to 1.9.2, updated libwrap-fix patch

Revision 1.9  2002/11/25 14:18:47  ankry
- massive attack: no need for 755 for *.la

Revision 1.8  2002/10/09 13:14:52  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.7  2002/09/07 21:02:27  qboosh
- updated to 1.8.8, new %%doc

Revision 1.6  2002/05/22 14:19:11  klark
- update to 1.8.7

Revision 1.5  2002/05/21 23:15:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.4  2002/05/15 06:53:26  kloczek
- move gzipping %doc to %build (make spec --short-circuit ready).

Revision 1.3  2002/05/15 06:05:58  misiek
- allow it to compile on both rpms

Revision 1.2  2002/05/04 19:30:11  kloczek
- "rm -f missing" on top %build.

Revision 1.1  2002/05/03 17:34:38  qboosh
- new; spec taken from original archive and rewritten
